<?xml version="1.0"?>
<!--
    The contents of this file are subject to the Mozilla Public License Version 1.1
    (the "License"); you may not use this file except in compliance with the License.
    You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.

    Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
    WARRANTY OF ANY KIND, either express or implied. See the License for the specific
    language governing rights and limitations under the License.

    The Original Code is the Venice Web Communities System.

    The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
    for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
    Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.

    Contributor(s): 
-->
<!-- Configuration for the various services that attach to Venice. -->
<services-config>

  <!-- Defines services that attach to a particular community. -->
  <community>

    <!-- Profile service -->
    <service id="Profile" index="0">
      <setup default="true" locked="true"/>
      <access/>
      <link sequence="4900" href="comm/show.js.vs?cc=${cid}" type="servlet">Profile</link>
    </service>

    <!-- Community administration service -->
    <service id="Admin" index="1">
      <setup default="true" locked="true"/>
      <access permission="Community.Read" role="Community.AnyAdmin"/>
      <link sequence="5000" href="comm/admin_menu.js.vs?cc=${cid}" type="servlet">Administration</link>
    </service>

    <!-- System administration service -->
    <service id="SysAdmin" index="2">
      <setup locked="true"/>
      <access permission="Global.SysAdminAccess"/>
      <link sequence="10000" href="sysadmin/menu.js.vs" type="servlet">System Administration</link>
    </service>

    <!-- Conferences service -->
    <service id="Conference" index="3">
      <setup default="true"/>
      <access permission="Community.Read"/>
      <link sequence="500" href="conf/conferences.js.vs?cc=${cid}" type="servlet">Conferences</link>
    </service>

    <!-- Members service -->
    <service id="Members" index="4">
      <setup default="true" locked="true"/>
      <access permission="Community.Read" role="Community.Member"/>
      <link sequence="4800" href="comm/members.js.vs?cc=${cid}" type="servlet">Members</link>
    </service>

  </community>

</services-config>
